<?php 

define('H', $_SERVER['DOCUMENT_ROOT'] . '/');

include_once H.'sys/inc/start.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';
//only_reg();

// Конфигурационный файл
require 'config.php';

if (isset($_GET['id'])) {
  $ID = (int) $_GET['id'];
} else {
  $ID = 0;
}

if (isset($_GET['func']) && preg_match('#^([A-z0-9\.]+)$#i', $_GET['func'])) {
  if (is_file('func/' . $_GET['func'] . '.php')) {
    $func = $_GET['func'];
  }
}

require 'func/' . $func . '.php';

include_once H.'sys/inc/tfoot.php';